# Makefile for smail under SCO Xenix
# @(#)Makefile	2.5 (smail) 9/15/87
#
# Modified for SCO Xenix by Chip Salzenberg <chip@tct.com>.
# Fixed as per comments of Chris Lewis <uunet!mnetor!spectrix!clewis>.
#
# With the addition of the "xenix" pseudo-target, this Makefile now makes
# both smail and execm by default.
#
# Because installation under Xenix is odd, the "install" pseudo-target
# has been removed.  Run "X.install" to install Smail under Xenix.

CFLAGS	= -O
LDFLAGS = -i
SHELL	= /bin/sh
COPY    = copy -om

#
# System V Release 2.0 sites can use -lmalloc for a faster malloc
#
#LIBS	=	-lmalloc

OBJECTS =	main.o map.o resolve.o deliver.o misc.o alias.o pw.o headers.o getpath.o str.o getopt.o

xenix:  smail execm
all:    smail svbinmail lcasep pathproc mkfnames nptx execm

smail:		$(OBJECTS)
		$(CC) $(LDFLAGS) -F 4000 $(OBJECTS) -o smail $(LIBS)

$(OBJECTS):	defs.h

execm:          execm.c
		$(CC) $(CFLAGS) $(LDFLAGS) execm.c -o execm

svbinmail:	svbinmail.c defs.h
		$(CC) $(CFLAGS) $(LDFLAGS) svbinmail.c -o svbinmail

lcasep:		lcasep.c
		$(CC) $(CFLAGS) $(LDFLAGS) lcasep.c -o lcasep

pathproc:	pathproc.sh
		$(COPY) pathproc.sh pathproc
		chmod 755 pathproc

mkfnames:	mkfnames.sh
		$(COPY) mkfnames.sh mkfnames
		chmod 755 mkfnames

nptx:		nptx.o pw.o str.o
		$(CC) $(CFLAGS) nptx.o pw.o str.o -o nptx $(LIBS)

clean:
		rm -f *.o *.ln a.out core

clobber:	clean
		rm -f smail rmail lcasep pathproc mkfnames svbinmail nptx execm
